BizKitHub
DocsAPI ReferenceProduct/bff/product/product-voucher-template-link
postProductAdmin BFF

/bff/product/product-voucher-template-link

Links a voucher template to a product. Idempotent — re-linking the same voucher is a no-op.

ProductpostBffProductProduct-voucher-template-link

Parameters

JSON body

Request body

application/json
productCodestringRequired

Product code to link the voucher to.

Examplemy-product
voucherCodestringRequired

Voucher code to link.

ExampleSUMMER2024

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the link was created.

Response example

application/json
{
  "success": false
}

Request example

POST /bff/product/product-voucher-template-link

post
curl -X POST "https://api.bizkithub.com/bff/product/product-voucher-template-link" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "productCode": "my-product",
  "voucherCode": "SUMMER2024"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key